---
title: get tax provider by id
slug: api-documentation/get-tax-provider-by-id
docTags: 
createdAt: 2026-08-27T17:08:54.010Z
---

{
  "id": "FujHRS20ogpse-DwF4JeZ",
  "type": "api-oas-v2",
  "data": {
    "method": "GET",
    "url": "https://api.upstartcommerce.com/v1/tax/provider/{providerId}",
    "servers": [
      {
        "url": "https://api.upstartcommerce.com/v1/tax/provider/{providerId}",
        "description": "Dev Server"
      }
    ],
    "name": "get tax provider by id",
    "description": "<p>This endpoint displays the tax provider against a certain tax provider identifier.</p>\n<p>Authorized permissions:</p>\n<ul>\n<li>Authorizers.taxRead</li>\n</ul>",
    "contentType": "application/json",
    "request": {
      "pathParameters": [],
      "headerParameters": [
        {
          "name": "accept",
          "type": "string",
          "kind": "optional",
          "description": "Generated from available response content types",
          "enum": [
            "application/json"
          ],
          "default": "application/json"
        },
        {
          "kind": "required",
          "name": "x-upstart-tenant",
          "type": "string",
          "description": "Tenant identifier associated with the site this call is for."
        }
      ],
      "queryParameters": [],
      "bodyDataParameters": [],
      "formDataParameters": [],
      "oAuthParameters": [],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "<p>Success-found tax provider.</p>",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "schema": [
              {
                "name": "tenant",
                "kind": "required",
                "type": "string",
                "description": "Tenant identifier this tax provider is for.",
                "minLength": 1
              },
              {
                "name": "taxProviderId",
                "kind": "required",
                "type": "string",
                "description": "Tax provider identifier."
              },
              {
                "name": "taxProviderName",
                "kind": "required",
                "type": "string",
                "description": "Tax provider name.",
                "minLength": 1
              },
              {
                "name": "enabled",
                "kind": "required",
                "type": "boolean",
                "description": "<p>This flag determines whether the tax provider services can be used by this tenant or not. If it is true, the tax provider's services can be used.</p>"
              }
            ],
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "401",
        "description": "<p>Unauthorized-the provided credentials were invalid for this endpoint.</p>",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "<p>Error payload returned by the bad-request and unauthorized responses, identifying the failure by name, code and detail.</p>",
            "customType": "GeneralError",
            "schema": [
              {
                "name": "name",
                "kind": "required",
                "type": "string",
                "description": "Error name.",
                "minLength": 1
              },
              {
                "name": "code",
                "kind": "required",
                "type": "string",
                "description": "Error code.",
                "minLength": 1
              },
              {
                "name": "reason",
                "kind": "optional",
                "type": "string",
                "description": "Reason why this error occurred.",
                "minLength": 1
              },
              {
                "name": "detail",
                "kind": "required",
                "type": "string",
                "description": "Error details.",
                "minLength": 1
              }
            ],
            "modelRef": "#/components/schemas/GeneralError",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "404",
        "description": "<p>Not Found-the requested resource was not found in the NoChannel system.</p>",
        "jsonExample": "",
        "isExpanded": true
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "VrxMANreR0ShYpEz5gYIj",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request GET \\\n     --url https://api.upstartcommerce.com/v1/tax/provider/{providerId} \\\n     --header 'accept: application/json' \\\n     --header 'x-upstart-tenant: string'"
        },
        {
          "id": "H9FuNN9gsgJFrmgdvHGnX",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\nmyHeaders.append(\"x-upstart-tenant\", \"string\");\n\nvar requestOptions = {\n   method: 'GET',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://api.upstartcommerce.com/v1/tax/provider/{providerId}\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "4ZZQZbqEUzX2SQzY0YywJ",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.upstartcommerce.com/v1/tax/provider/{providerId}\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Get.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\nrequest[\"x-upstart-tenant\"] = \"string\"\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "X0WxOMNGdrRCZWRqRc2J7",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://api.upstartcommerce.com/v1/tax/provider/{providerId}\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json',\n   'x-upstart-tenant': 'string'\n}\n\nresponse = requests.request(\"GET\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "VrxMANreR0ShYpEz5gYIj"
    },
    "results": {
      "languages": [
        {
          "id": "lmCXDN0VON4RNhG_B8dcM",
          "language": "200",
          "code": "// Success-found tax provider.\n{\n  \"tenant\": \"\",\n  \"taxProviderId\": \"\",\n  \"taxProviderName\": \"\",\n  \"enabled\": false\n}"
        },
        {
          "id": "S_mBNKOF90HyumnBXf6rs",
          "language": "401",
          "code": "// Unauthorized-the provided credentials were invalid for this endpoint.\n{\n  \"name\": \"\",\n  \"code\": \"\",\n  \"reason\": \"\",\n  \"detail\": \"\"\n}"
        },
        {
          "id": "KxiHa90F7HTtlWFNPnVvq",
          "language": "404",
          "code": "// Not Found-the requested resource was not found in the NoChannel system.\n"
        }
      ],
      "selectedLanguageId": "lmCXDN0VON4RNhG_B8dcM"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}